require_relative 'cli/version'
require_relative 'cli/gitlab'

module Gitlab
  module Cli
    class << self
      def apply_config(config)
        @gitlab = Gitlab::Cli::GitLab.new(config['gitlab'])

        if config['group_settings']
          @gitlab.apply_group_settings(config['group_settings'])
        else
          raise "NOTHING CHANGED.... please look at https://github.com/sanjusoftware/gitlab-cli/blob/master/config.yml for example 'config.yml' file"
        end
      end
    end
  end
end
